export const distFilter = async () => {
    const isDist = (filePath) => {
        return (filePath.includes("/dist") ||
            filePath.includes("/out") ||
            filePath.includes("/build") ||
            filePath.includes("/vendor") ||
            filePath.includes("/node_modules") ||
            filePath.includes("/.next"));
    };
    return {
        ignore: async (filePath, _) => {
            return isDist(filePath);
        },
    };
};
