import { IDirectoryData, IDirectoryStore, IDirectoryStoreOptions } from "src/core/types";
export interface IndexedDBDirectoryStoreOptions extends IDirectoryStoreOptions {
    storeName?: string;
}
interface IndexedDBDirectoryStoreProps {
    dbName?: string;
    storeName?: string;
    dbVersion?: number;
}
export declare const indexedDBDirectoryStore: <TData extends IDirectoryData>(props?: IndexedDBDirectoryStoreProps) => IDirectoryStore<TData, IndexedDBDirectoryStoreOptions>;
export declare const defaultDirectoryStore: IDirectoryStore<IDirectoryData, IndexedDBDirectoryStoreOptions>;
export {};
